#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=sh4
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-sh4 -M r2d -nographic -no-reboot -kernel zImage -hda hda.sqf -append "root=/dev/sda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttySC1 noiotrap HOST=sh4 $KERNEL_EXTRA" $QEMU_EXTRA -monitor null -serial null -serial stdio
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
